> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an org-level secret

> Create a secret for an organization.

## Permissions

Requires a service user with the `ManageOrgSecrets` permission at the organization level.


## OpenAPI

````yaml /v3-openapi.yaml POST /v3/organizations/{org_id}/secrets
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/secrets:
    post:
      tags:
        - secrets
      summary: Create an org-level secret
      description: Create a secret for an organization.
      operationId: handle_create_secret_v3_organizations__org_id__secrets_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecretCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    SecretCreateRequest:
      properties:
        is_sensitive:
          default: true
          title: Is Sensitive
          type: boolean
        key:
          title: Key
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        type:
          enum:
            - cookie
            - key-value
            - totp
          title: Type
          type: string
        value:
          title: Value
          type: string
      required:
        - type
        - key
        - value
      title: SecretCreateRequest
      type: object
    SecretResponse:
      properties:
        access_type:
          enum:
            - org
            - personal
          title: Access Type
          type: string
        created_at:
          title: Created At
          type: integer
        created_by:
          title: Created By
          type: string
        is_sensitive:
          title: Is Sensitive
          type: boolean
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        secret_id:
          title: Secret Id
          type: string
        secret_type:
          enum:
            - cookie
            - key-value
            - totp
          title: Secret Type
          type: string
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
      required:
        - secret_id
        - key
        - note
        - is_sensitive
        - created_by
        - created_at
        - secret_type
        - access_type
      title: SecretResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````